#######################################################################
#                                                                     #
#                                 Pph                                 #
#                                                                     #
#                    The Portable Project Handler                     #
#                                                                     #
#               EPI Pomdapi, INRIA Paris - Rocquencourt               #
#                                                                     #
#  Copyright 2005-2014 INRIA.                                         #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  All rights reserved. This file is distributed only by permission.  #
#                                                                     #
#  Francois Clement <Francois.Clement@inria.fr>                       #
#  Pierre Weis <Pierre.Weis@inria.fr>                                 #
#                                                                     #
#######################################################################

# $Id: Pph_dirs.profile,v 1.20 2014/01/31 13:35:10 fclement Exp $

#
# Pph system directories for user generic scripts.
#
# The variable PROJECT_ROOT_DIR is assumed to be set to an absolute path.
#

# Pph project.

PROJECT_CONFIG_DIR="${PROJECT_ROOT_DIR}/config"
PROJECT_RUNTIME_DIR="${PROJECT_CONFIG_DIR}/runtime"
PROJECT_CHECKPOINTS_DIR="${PROJECT_CONFIG_DIR}/checkpoints"
PROJECT_SUMMARIES_DIR="${PROJECT_CONFIG_DIR}/summaries"

PROJECT_DOC_DIR="${PROJECT_ROOT_DIR}/doc"

PROJECT_EXAMPLE_ROOT_DIR="${PROJECT_ROOT_DIR}/example"

PROJECT_EXAMPLE_DATA_ROOT_DIR="${PROJECT_EXAMPLE_ROOT_DIR}/data"

PROJECT_SRC_ROOT_DIR="${PROJECT_ROOT_DIR}/src"

PROJECT_TARBALLS_DIR="${PROJECT_ROOT_DIR}/tarballs"

#
# Local Pph system.
#

PPH_SYSTEM_ROOT_DIR="${PROJECT_ROOT_DIR}/pph"

# Config.
PPH_CONFIG_DIR="${PPH_SYSTEM_ROOT_DIR}/config"

# Example.
PPH_EXAMPLE_DIR="${PPH_SYSTEM_ROOT_DIR}/example"

# Private.
PPH_PRIVATE_ROOT_DIR="${PPH_SYSTEM_ROOT_DIR}/private"

# Bin.
PPH_BIN_DIR="${PPH_PRIVATE_ROOT_DIR}/bin"

# Inc.
PPH_INC_DIR="${PPH_PRIVATE_ROOT_DIR}/include"

# Lib.
PPH_LIB_DIR="${PPH_PRIVATE_ROOT_DIR}/lib"

# Share.
PPH_SHR_DIR="${PPH_PRIVATE_ROOT_DIR}/share"

# Man pages.
PPH_MAN_DIR="${PPH_PRIVATE_ROOT_DIR}/man"

# Documentation.
PPH_DOC_DIR="${PPH_SHR_DIR}/doc"

#
# User.
#

PPH_USER_DIR="${PPH_SYSTEM_ROOT_DIR}/user"

# Scripts.
PPH_USER_SCRIPTS_DIR="${PPH_USER_DIR}/scripts"

#
# Makefiles.
#

PPH_USER_MAKEFILES_DIR="${PPH_USER_DIR}/makefiles"

PPH_TARBALL_MAKEFILES_DIR="${PPH_USER_MAKEFILES_DIR}/tarballs"

PPH_COMPILATION_MAKEFILES_DIR="${PPH_USER_MAKEFILES_DIR}/compilation"

PPH_INSTALLATION_MAKEFILES_DIR="${PPH_USER_MAKEFILES_DIR}/installation"

# Purposes.
PPH_PURPOSE_MAKEFILES_DIR="${PPH_USER_MAKEFILES_DIR}/purposes"
PPH_APPLICATION_MAKEFILES_DIR="${PPH_PURPOSE_MAKEFILES_DIR}/applications"
PPH_LIBRARY_MAKEFILES_DIR="${PPH_PURPOSE_MAKEFILES_DIR}/libraries"

#
# Languages.
#

PPH_LANGUAGE_MAKEFILES_DIR="${PPH_USER_MAKEFILES_DIR}/languages"

# C.
PPH_C_MAKEFILES_DIR="${PPH_LANGUAGE_MAKEFILES_DIR}/c"
PPH_C_APPLICATION_MAKEFILES_DIR="${PPH_C_MAKEFILES_DIR}/applications"
PPH_C_LIBRARY_MAKEFILES_DIR="${PPH_C_MAKEFILES_DIR}/libraries"

# C++.
PPH_CPP_MAKEFILES_DIR="${PPH_LANGUAGE_MAKEFILES_DIR}/c++"
PPH_CPP_APPLICATION_MAKEFILES_DIR="${PPH_CPP_MAKEFILES_DIR}/applications"
PPH_CPP_LIBRARY_MAKEFILES_DIR="${PPH_CPP_MAKEFILES_DIR}/libraries"

# Fortran.
PPH_FORTRAN_MAKEFILES_DIR="${PPH_LANGUAGE_MAKEFILES_DIR}/fortran"
PPH_FORTRAN_APPLICATION_MAKEFILES_DIR="${PPH_FORTRAN_MAKEFILES_DIR}/applications"
PPH_FORTRAN_LIBRARY_MAKEFILES_DIR="${PPH_FORTRAN_MAKEFILES_DIR}/libraries"

# Java.
PPH_JAVA_MAKEFILES_DIR="${PPH_LANGUAGE_MAKEFILES_DIR}/java"
PPH_JAVA_APPLICATION_MAKEFILES_DIR="${PPH_JAVA_MAKEFILES_DIR}/applications"
PPH_JAVA_LIBRARY_MAKEFILES_DIR="${PPH_JAVA_MAKEFILES_DIR}/libraries"

# OCaml.
PPH_OCAML_MAKEFILES_DIR="${PPH_LANGUAGE_MAKEFILES_DIR}/ocaml"
PPH_OCAML_APPLICATION_MAKEFILES_DIR="${PPH_OCAML_MAKEFILES_DIR}/applications"
PPH_OCAML_LIBRARY_MAKEFILES_DIR="${PPH_OCAML_MAKEFILES_DIR}/libraries"

# Text.
PPH_TEXT_MAKEFILES_DIR="${PPH_LANGUAGE_MAKEFILES_DIR}/text"
PPH_TEXT_APPLICATION_MAKEFILES_DIR="${PPH_TEXT_MAKEFILES_DIR}/applications"
PPH_TEXT_LIBRARY_MAKEFILES_DIR="${PPH_TEXT_MAKEFILES_DIR}/libraries"

#
# Examples.
#

PPH_EXAMPLE_MAKEFILES_DIR="${PPH_USER_MAKEFILES_DIR}/examples"

PPH_C_EXAMPLE_MAKEFILES_DIR="${PPH_EXAMPLE_MAKEFILES_DIR}/c"
PPH_CPP_EXAMPLE_MAKEFILES_DIR="${PPH_EXAMPLE_MAKEFILES_DIR}/c++"
PPH_FORTRAN_EXAMPLE_MAKEFILES_DIR="${PPH_EXAMPLE_MAKEFILES_DIR}/fortran"
PPH_JAVA_EXAMPLE_MAKEFILES_DIR="${PPH_EXAMPLE_MAKEFILES_DIR}/java"
PPH_OCAML_EXAMPLE_MAKEFILES_DIR="${PPH_EXAMPLE_MAKEFILES_DIR}/ocaml"
PPH_OCAML_MONO_EXAMPLE_MAKEFILES_DIR="${PPH_OCAML_EXAMPLE_MAKEFILES_DIR}/mono"
PPH_OCAML_POLY_EXAMPLE_MAKEFILES_DIR="${PPH_OCAML_EXAMPLE_MAKEFILES_DIR}/poly"
PPH_TEXT_EXAMPLE_MAKEFILES_DIR="${PPH_EXAMPLE_MAKEFILES_DIR}/text"
